public class Bins {

    //array to store the results of the dice rolls
    private int[] result;
    //amount of dice whos results are being stored in this bin
    private int amount;
    //the amount of sides on the dice
    private int sides;

    public Bins(int amount, int sides){
        this.amount = amount;
        this.sides = sides;
        this.result = new int[((this.amount * this.sides) - (amount - 1))];
    }

    //mutator function to manipulate the results from the dice rolls
    public void addToBin(int resultGiven){
        this.result[(resultGiven - this.amount)] ++;
    }

    //accessor function to retrieve the amount of a given result
    public int retrieveSums(int resultGiven){
        return this.result[(resultGiven - this.amount)];
    }

    //accessor method to get results of the roll
    public int[] getResults()
    {
        return this.result;
    }
}