public class Dice
{
    //the amount of dice being created
    private int amount = 0;
    //the amount of sides the dice has
    private int sides = 0;

    public Dice(int amount, int sides)
    {
        this.amount = amount;
        this.sides = sides;
    }

    //method to roll the dice, and store the results in the bin
    public int roll(){
        //default the sum of these dice rolls to 0
        int sum = 0;
        //for each dice created
        for(int i = 0; i < this.amount; i ++) {
            //roll the dice
            int random = (int) (Math.floor(Math.random() * this.sides) + 1);
            //add the random number to the sum of the current roll
            sum += random;
        }
        return sum;
    }

    //accessor function to access the dices sides
    public int getSides(){
        return this.sides;
    }
    //accessor function to get the dice amount;
    public int getAmount(){
        return this.amount;
    }
}